## ros-kinetic-pr2-ethercat 1.6.30

=== CMakeLists.txt ===
# http://ros.org/doc/groovy/api/catkin/html/user_guide/supposed.html
cmake_minimum_required(VERSION 2.8.3)
project(pr2_ethercat)

# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED COMPONENTS 
   roscpp 
   std_srvs 
   std_msgs
   pr2_controller_manager 
   ethercat_hardware 
   realtime_tools 
   diagnostic_updater)

find_package(Boost REQUIRED COMPONENTS system thread)
include_directories(include ${Boost_INCLUDE_DIRS} ${catkin_INCLUDE_DIRS})

catkin_package()

add_definitions(-O3)

add_executable(pr2_ethercat src/main.cpp)
target_link_libraries(pr2_ethercat rt ${catkin_LIBRARIES} ${Boost_LIBRARIES})
add_dependencies(pr2_ethercat ${catkin_EXPORTED_TARGETS})
pr2_enable_rpath(pr2_ethercat)

install(TARGETS pr2_ethercat
   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

file(GLOB PYTHON_SCRIPTS RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" 
   "${CMAKE_CURRENT_SOURCE_DIR}/scripts/*")
install(PROGRAMS ${PYTHON_SCRIPTS}
   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

=== debian/changelog ===
ros-kinetic-pr2-ethercat (1.6.30-0xenial) xenial; urgency=high



 -- Dave Feil-Seifer <dave@cse.unr.edu>  Mon, 23 Apr 2018 07:00:00 -0000

ros-kinetic-pr2-ethercat (1.6.29-0xenial) xenial; urgency=high



 -- Dave Feil-Seifer <dave@cse.unr.edu>  Sun, 22 Apr 2018 07:00:00 -0000

ros-kinetic-pr2-ethercat (1.6.28-0xenial) xenial; urgency=high



 -- Dave Feil-Seifer <dave@cse.unr.edu>  Sat, 21 Apr 2018 07:00:00 -0000

ros-kinetic-pr2-ethercat (1.6.27-0xenial) xenial; urgency=high



 -- Dave Feil-Seifer <dave@cse.unr.edu>  Fri, 20 Apr 2018 07:00:00 -0000

ros-kinetic-pr2-ethercat (1.6.26-0xenial) xenial; urgency=high



 -- Dave Feil-Seifer <dave@cse.unr.edu>  Mon, 19 Mar 2018 07:00:00 -0000

ros-kinetic-pr2-ethercat (1.6.25-0xenial) xenial; urgency=high

  * updated packages for new maintainer
  * updated changelogs
  * Contributors: David Feil-Seifer

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Mon, 19 Mar 2018 07:00:00 -0000

ros-kinetic-pr2-ethercat (1.6.7-0xenial) xenial; urgency=high

  * Updated mainpage.dox
  * Contributors: TheDash

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Wed, 11 Feb 2015 08:00:00 -0000

=== debian/control ===
Source: ros-kinetic-pr2-ethercat
Section: misc
Priority: extra
Maintainer: Dave Feil-Seifer <dave@cse.unr.edu>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-diagnostic-msgs, ros-kinetic-diagnostic-updater, ros-kinetic-ethercat-hardware, ros-kinetic-pr2-controller-manager, ros-kinetic-realtime-tools, ros-kinetic-roscpp, ros-kinetic-std-srvs
Homepage: http://pr.willowgarage.com
Standards-Version: 3.9.2

Package: ros-kinetic-pr2-ethercat
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-diagnostic-msgs, ros-kinetic-diagnostic-updater, ros-kinetic-ethercat-hardware, ros-kinetic-pr2-controller-manager, ros-kinetic-realtime-tools, ros-kinetic-roscpp, ros-kinetic-std-srvs
Description: Main loop that runs the robot.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-pr2-ethercat//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
